%define module Term::Table

Name:           perl-Term-Table
Version:        0.016
Release:        1%{?org_tag}%{?dist}
Summary:        Format a header and rows into a table
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Term-Table/
Source0:        http://localhost/cpan/authors/id/E/EX/EXODIST/Term-Table-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Importer) >= 0.024
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Term::Size::Any) >= 0.002
BuildRequires:  perl(Test2::Tools::Tiny) >= 1.302072
BuildRequires:  perl(Unicode::LineBreak) >= 2015.06
Requires:       perl(Carp)
Requires:       perl(Importer) >= 0.024
Requires:       perl(List::Util)
Requires:       perl(Scalar::Util)
Requires:       perl(Term::Size::Any) >= 0.002
Requires:       perl(Unicode::LineBreak) >= 2015.06
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(%{module}) = %{version}
%endif

%description
This is used by some failing tests to provide diagnostics about what has
gone wrong. This module is able to generic format rows of data into tables.

%prep
%setup -q -n Term-Table-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# FIXME: this test isn't working inside mock
rm -f t/honor_env_in_non_tty.t
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc appveyor.yml Changes cpanfile LICENSE META.json README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 14 2022 Gavin Carr <gavin@openfusion.net> 0.016-1
- Update to version 0.016.

* Wed Aug 04 2021 Gavin Carr <gavin@openfusion.com.au> 0.015-1
- Update to version 0.015.

* Wed May 31 2017 Gavin Carr <gavin@openfusion.com.au> 0.008-1
- Specfile autogenerated by cpanspec 1.79.
